use crate::host::{Host, ParseHostError};
use std::{fmt, str::FromStr};

#[derive(Clone, Debug, PartialEq)]
pub struct Request {
    user: String,
    host: Host,
    message: String,
}

impl fmt::Display for Request {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        write!(f, "misfin://{}@{} {}\r\n", self.user, self.host, self.message)
    }
}
